GET api/pcconfigapi/pcconfigs/{pcId}?active={active}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| pcId | globally unique identifier |
Required |
|
| active | boolean |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of PcConfigViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| id | globally unique identifier |
None. |
|
| key | globally unique identifier |
Required |
|
| pc_id | globally unique identifier |
Required |
|
| value | string |
String length: inclusive between 0 and 500 |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"id": "4549b673-c6bb-4013-b27a-139b2078e471",
"key": "fdab81dd-5a73-4b04-b11a-d3457f68ff3a",
"pc_id": "be887786-3269-47b5-afdc-d5be272cff81",
"value": "sample string 3"
},
{
"active": true,
"id": "4549b673-c6bb-4013-b27a-139b2078e471",
"key": "fdab81dd-5a73-4b04-b11a-d3457f68ff3a",
"pc_id": "be887786-3269-47b5-afdc-d5be272cff81",
"value": "sample string 3"
}
]
application/xml, text/xml
Sample:
<ArrayOfpc_config xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<pc_config>
<active>true</active>
<id>4549b673-c6bb-4013-b27a-139b2078e471</id>
<key>fdab81dd-5a73-4b04-b11a-d3457f68ff3a</key>
<pc_id>be887786-3269-47b5-afdc-d5be272cff81</pc_id>
<value>sample string 3</value>
</pc_config>
<pc_config>
<active>true</active>
<id>4549b673-c6bb-4013-b27a-139b2078e471</id>
<key>fdab81dd-5a73-4b04-b11a-d3457f68ff3a</key>
<pc_id>be887786-3269-47b5-afdc-d5be272cff81</pc_id>
<value>sample string 3</value>
</pc_config>
</ArrayOfpc_config>